namespace TopCoder.File.Statistics.Matcher
{
    /// <summary>
    /// Mock implementation of <see cref="FileNameMatcher"/>, used to test <see cref="FileNameMatcher"/>.
    ///
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (C) 2005 TopCoder Inc., All Rights Reserved.</copyright>
    /// </summary>
    internal class MockFileNameMatcher : FileNameMatcher
    {
        /// <summary>
        /// Defualt constructor.
        /// </summary>
        public MockFileNameMatcher() : base()
        {
        }

        /// <summary>
        /// Mock implementation of Match, always return true.
        /// </summary>
        ///
        /// <param name="filename">the filename to match.</param>
        /// <returns>true</returns>
        protected override bool Match(string filename)
        {
            return true;
        }
    }
}