using System;

namespace TopCoder.File.Statistics
{
    /// <summary>
    /// Framework exception which provides the extension base for all exceptions.
    ///
    /// <author>WishingBone</author>
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (C) 2005 TopCoder Inc., All Rights Reserved.</copyright>
    /// </summary>
    public class FileStatisticsException : ApplicationException
    {
        /// <summary>
        /// Constructor with message (no checks).
        /// </summary>
        ///
        /// <param name="message">the message</param>
        public FileStatisticsException(string message) : base(message)
        {
        }

        /// <summary>
        /// Constructor with message and cause (no checks).
        /// </summary>
        ///
        /// <param name="message">the message</param>
        /// <param name="cause">the cause</param>
        public FileStatisticsException(string message, Exception cause) : base(message, cause)
        {
        }
    }
}