namespace TopCoder.File.Statistics.Matcher
{
    /// <summary>
    /// Mock implementation of <see cref="FileCategoryMatcher"/>, used to test <see cref="FileCategoryMatcher"/>.
    ///
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (C) 2005 TopCoder Inc., All Rights Reserved.</copyright>
    /// </summary>
    internal class MockFileCategoryMatcher : FileCategoryMatcher
    {
        /// <summary>
        /// Defualt constructor.
        /// </summary>
        public MockFileCategoryMatcher() : base()
        {
        }

        /// <summary>
        /// Mock implementation of Match, always return true.
        /// </summary>
        ///
        /// <param name="isBinary">the isBinary.</param>
        /// <returns>isBinary</returns>
        protected override bool Match(bool isBinary)
        {
            return isBinary;
        }
    }
}